<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}{% if seo.titleTmpQuery is not empty %} Тезіс по запиту: {{ seo.titleTmpQuery }} | ThesisID{% else %}{{ seo.title }}{% endif %}{% endblock %}</title>
    <meta name="keywords" content="{{ seo.keywords }}"/>
    <meta name="description" content="{% if seo.description is not empty %}{{ seo.description }}{% else %}Головна інформація на тему: {{ seo.descriptionQuery }}. Тезіс згенерований з сайту {{ seo.descriptionSource }}{% endif %}"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="{{ asset('favicon.ico') }}" type="image/x-icon">
    {# Run `composer require symfony/webpack-encore-bundle` to start using Symfony UX #}
    {% block stylesheets %}
        {{ encore_entry_link_tags('search') }}
    {% endblock %}

    {% block javascripts %}
        {{ encore_entry_script_tags('search') }}
    {% endblock %}
</head>
<body>
{% block body %}
    <div class="wrapper">
        {% include 'views/header.html.twig' %}
        <div class="content-container">
            <div class="thesis-count">
                <p>ThesisID: <span class="thesis-count__number">#{{ thesis.id }}</span></p>
            </div>
            {% if thesis is defined and thesis is not null %}
                {% if thesis.type == 'default' %}
                    {% include 'views/thesis_type/thesis_default.html.twig' with {isSingle: true} %}
                {% elseif thesis.type == 'definition' %}
                    {% include 'views/thesis_type/thesis_definition.html.twig' %}
                {% elseif thesis.type == 'list' %}
                    {% include 'views/thesis_type/thesis_list.html.twig' with {isSingle: true}%}
                {% endif %}
                {% if similar is not empty %}
                    <div class="similar">
                        <h3 class="similar__title">Похожие тезисы</h3>
                        {% for similarDoc in similar %}
                            {% include 'views/thesis_type/thesis_default.html.twig' with {isSingle: false, thesis: similarDoc} %}
                        {% endfor %}
                    </div>
                {% endif %}
            {% else %}
                Thesis not selected
            {% endif %}
        </div>
        <footer class="footer">
            <p>Copyright &copy; 2022 ThesisID.com</p>
        </footer>
    </div>
{% endblock %}
</body>
<script src="https://kit.fontawesome.com/a4e996df6e.js" crossorigin="anonymous"></script>
</html>
